Package com.independentsoft.office.drawing.tableStyles

# Class Band1Horizontal

java.lang.Object
com.independentsoft.office.drawing.tableStyles.Band1Horizontal

public class Band1Horizontal extends Object
The Class Band1Horizontal.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Band1Horizontal()`
  Instantiates a new band1 horizontal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Band1Horizontal`
  `clone()`
  `TableCellStyle`
  `getTableCellStyle()`
  Gets the table cell style.
  `TableCellTextStyle`
  `getTableCellTextStyle()`
  Gets the table cell text style.
  `void`
  `setTableCellStyle​(TableCellStyle tableCellStyle)`
  Sets the table cell style.
  `void`
  `setTableCellTextStyle​(TableCellTextStyle tableCellTextStyle)`
  Sets the table cell text style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Band1Horizontal

    public Band1Horizontal()
    Instantiates a new band1 horizontal.

- ## Method Details

  - ### clone

    public Band1Horizontal clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTableCellStyle

    public TableCellStyle getTableCellStyle()
    Gets the table cell style.
    Returns:
      the table cell style

  - ### setTableCellStyle

    public void setTableCellStyle​(TableCellStyle tableCellStyle)
    Sets the table cell style.
    Parameters:
      `tableCellStyle` - the new table cell style

  - ### getTableCellTextStyle

    public TableCellTextStyle getTableCellTextStyle()
    Gets the table cell text style.
    Returns:
      the table cell text style

  - ### setTableCellTextStyle

    public void setTableCellTextStyle​(TableCellTextStyle tableCellTextStyle)
    Sets the table cell text style.
    Parameters:
      `tableCellTextStyle` - the new table cell text style